Foxit PDF SDK

Public Member Functions | List of all members
FSDK.FontMapperCallback Class Reference

## Public Member Functions
| MapFont (font_family_name, charset, styles, weight, italic_angle)
| A callback function used to map a suitable font according to input parameters. More...
| MapFont (font_name, is_truetype, styles, weight, italic_angle, charset)
| A callback function used to map a suitable font according to input parameters. More...
| Release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object to map font in customized way. All the pure virtual functions in this class are used as callback functions and should be implemented by user. An implemented FSDK.FontMapperCallback object can be set to Foxit PDF SDK by function FSDK.Library.SetFontMapperCallback.

See also
  FSDK.Library

## Member Function Documentation

## ◆ MapFont() [1/2]

FSDK.FontMapperCallback.MapFont | ( | font_family_name | ,
|  | charset | ,
|  | styles | ,
|  | weight | ,
|  | italic_angle |
| ) |  |

A callback function used to map a suitable font according to input parameters.

Parameters

  [in] | font_family_name | Font family name.
  [in] | charset | The charset of the font to be mapped. Please refer to values starting from FSDK.Font.e_CharsetANSI and this would be one of these values.
  [in] | styles | Font styles. Please refer to values starting from FSDK.Font.e_StyleFixedPitch and this would be one or a combination of these values.
  [in] | weight | Original font weight. 0 means unspecified.
  [in] | italic_angle | Italic angle.

Returns
  Font family name array. If the returned array is empty, that means no mapped font is found.

## ◆ MapFont() [2/2]

FSDK.FontMapperCallback.MapFont | ( | font_name | ,
|  | is_truetype | ,
|  | styles | ,
|  | weight | ,
|  | italic_angle | ,
|  | charset |
| ) |  |

A callback function used to map a suitable font according to input parameters.

Parameters

  [in] | font_name | Font name.
  [in] | is_truetype | true means the font is expected to be a TrueType font, while false means the font is expected to be a Type1 font.
  [in] | styles | Font styles. Please refer to values starting from FSDK.Font.e_StyleFixedPitch and this would be one or a combination of these values.
  [in] | weight | Original font weight. 0 means unspecified.
  [in] | italic_angle | Italic angle.
  [in] | charset | The charset of the font to be mapped. Please refer to values starting from FSDK.Font.e_CharsetANSI and this would be one of these values.

Returns
  Font map result object. If any member in the returned FSDK.FontMapResult is invalid, that means no mapped font is found. Then Foxit PDF SDK will do font mapping.

## ◆ Release()

FSDK.FontMapperCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.